single-node local discovery {bnlearn} | R Documentation

## Discover the structure around a single node

### Description

Learn the Markov blanket or the neighbourhood centered on a node.

### Usage

    learn.mb(x, node, method, whitelist = NULL, blacklist = NULL, start = NULL,
      test = NULL, alpha = 0.05, B = NULL, max.sx = NULL, debug = FALSE)
    learn.nbr(x, node, method, whitelist = NULL, blacklist = NULL,
      test = NULL, alpha = 0.05, B = NULL, max.sx = NULL, debug = FALSE)

### Arguments

`x` | a data frame containing the variables in the model.
`node` | a character string, the label of the node whose local structure is being learned.
`method` | a character string, the label of a structure learning algorithm. Possible choices are listed in structure learning.
`whitelist` | a vector of character strings, the labels of the whitelisted nodes.
`blacklist` | a vector of character strings, the labels of the blacklisted nodes.
`start` | a vector of character strings, the labels of the nodes to be included in the Markov blanket before the learning process (in `learn.mb`). Note that the nodes in `start` can be removed from the Markov blanket by the learning algorithm, unlike the nodes included due to whitelisting.
`test` | a character string, the label of the conditional independence test to be used in the algorithm. If none is specified, the default test statistic is the mutual information for categorical variables, the Jonckheere-Terpstra test for ordered factors and the linear correlation for continuous variables. See `independence tests` for details.
`alpha` | a numeric value, the target nominal type I error rate.
`B` | a positive integer, the number of permutations considered for each permutation test. It will be ignored with a warning if the conditional independence test specified by the `test` argument is not a permutation test.
`max.sx` | a positive integer, the maximum allowed size of the conditioning sets used in conditional independence tests. The default is that there is no limit on size.
`debug` | a boolean value. If `TRUE` a lot of debugging output is printed; otherwise the function is completely silent.

### Value

A vector of character strings, the labels of the nodes in the Markov blanket (for `learn.mb()`) or in the neighbourhood (for `learn.nbr()`).

### Note

All algorithms used by `learn.mb()` and `learn.nbr()` accept incomplete data, which they handle by computing individual conditional independence tests on locally complete observations.

### Author(s)

Marco Scutari

### See Also

constraint-based algorithms.

### Examples

    learn.mb(learning.test, node = "D", method = "iamb")
    learn.mb(learning.test, node = "D", method = "iamb", blacklist = c("A", "F"))

    learn.nbr(gaussian.test, node = "F", method = "si.hiton.pc", whitelist = "D")

[Package bnlearn version 4.7.1 Index]